Bug 878455 - [abrt] emacs-24.2-4.fc18: fatal_error_signal: Process /usr/bin/emacs-24.2 was killed by signal 11 (SIGSEGV)
Summary: [abrt] emacs-24.2-4.fc18: fatal_error_signal: Process /usr/bin/emacs-24.2 was...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:704c60a2e7c4fc12edf1be5c561...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-20 13:28 UTC by Jonathan VK
Modified: 2014-02-05 13:10 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:10:31 UTC


Attachments (Terms of Use)
File: core_backtrace (1.32 KB, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: environ (1.65 KB, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: backtrace (26.09 KB, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: cgroup (131 bytes, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: smolt_data (2.90 KB, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: executable (19 bytes, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: maps (54.04 KB, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: dso_list (8.68 KB, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: proc_pid_status (922 bytes, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: var_log_messages (156 bytes, text/plain)
2012-11-20 13:28 UTC, Jonathan VK
no flags Details
File: open_fds (139 bytes, text/plain)
2012-11-20 13:29 UTC, Jonathan VK
no flags Details

Description Jonathan VK 2012-11-20 13:28:36 UTC
Description of problem:
This happened while xfce4 reloaded my session after a reboot. Two emacs frames opened successfully.

Version-Release number of selected component:
emacs-24.2-4.fc18

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        emacs --daemon
crash_function: fatal_error_signal
kernel:         3.6.5-2.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #1 fatal_error_signal at /usr/src/debug/emacs-24.2/src/emacs.c:366
: #4 style_changed_cb at /usr/src/debug/emacs-24.2/src/gtkutil.c:1053
: #10 g_object_notify_by_spec_internal at gobject.c:1135
: #11 g_object_notify at gobject.c:1177
: #12 _gtk_settings_handle_event at gtksettings.c:2592
: #13 gtk_main_do_event at gtkmain.c:1496
: #18 g_main_context_iteration at gmain.c:3351
: #19 gtk_main_iteration at gtkmain.c:1264
: #20 XTread_socket at /usr/src/debug/emacs-24.2/src/xterm.c:7187
: #21 read_avail_input at /usr/src/debug/emacs-24.2/src/keyboard.c:6859

Potential duplicate bug: 825098

Comment 1 Jonathan VK 2012-11-20 13:28:38 UTC
Created attachment 648463 [details]
File: core_backtrace

Comment 2 Jonathan VK 2012-11-20 13:28:40 UTC
Created attachment 648464 [details]
File: environ

Comment 3 Jonathan VK 2012-11-20 13:28:43 UTC
Created attachment 648465 [details]
File: backtrace

Comment 4 Jonathan VK 2012-11-20 13:28:45 UTC
Created attachment 648466 [details]
File: limits

Comment 5 Jonathan VK 2012-11-20 13:28:47 UTC
Created attachment 648467 [details]
File: cgroup

Comment 6 Jonathan VK 2012-11-20 13:28:49 UTC
Created attachment 648468 [details]
File: smolt_data

Comment 7 Jonathan VK 2012-11-20 13:28:50 UTC
Created attachment 648469 [details]
File: executable

Comment 8 Jonathan VK 2012-11-20 13:28:52 UTC
Created attachment 648470 [details]
File: maps

Comment 9 Jonathan VK 2012-11-20 13:28:54 UTC
Created attachment 648471 [details]
File: dso_list

Comment 10 Jonathan VK 2012-11-20 13:28:56 UTC
Created attachment 648472 [details]
File: proc_pid_status

Comment 11 Jonathan VK 2012-11-20 13:28:58 UTC
Created attachment 648473 [details]
File: var_log_messages

Comment 12 Jonathan VK 2012-11-20 13:29:01 UTC
Created attachment 648474 [details]
File: open_fds

Comment 13 D. Charles Pyle 2012-12-12 05:16:34 UTC
I just closed emacs after looking at the contents of a file. Got this crash afterward.

backtrace_rating: 4
Package: emacs-24.2-5.fc18
OS Release: Fedora release 18 (Spherical Cow)

Comment 14 Per Sjoholm 2013-02-14 08:51:27 UTC
Only reason I can think of is
I have an Emacs-server running when shutdown/poweroff.

cat /etc/profile.d/edit.sh 
export EDITOR='emacsclient -a "" -c' VISUAL='emacsclient -a "" -c'
alias edit='emacsclient -a "" -c'

edit  file.txt and exit with c-s c-x (save and exit)

Under F17 and gnome this didn't cause anyting.
Mayby a prompt that I have a running process.

Under F18 and gnome I don't get this prompt of existing process


backtrace_rating: 4
Package: emacs-24.2-5.fc18
Architecture: i686
OS Release: Fedora release 18 (Spherical Cow)

Comment 15 Fedora Admin XMLRPC Client 2013-02-27 15:47:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 dacosta77 2013-03-06 13:56:14 UTC
I was updated to Fedora 18, and when restart my laptop I have these errors.

backtrace_rating: 4
Package: emacs-24.2-6.fc18
Architecture: i686
OS Release: Fedora release 18 (Spherical Cow)

Comment 17 jgriglack 2013-03-13 12:28:14 UTC
Shut down properly yesterday.  Booted up this morning and was told that Emacs had crashed.

backtrace_rating: 4
Package: emacs-24.2-6.fc18
Architecture: i686
OS Release: Fedora release 18 (Spherical Cow)

Comment 18 Fedora End Of Life 2013-12-21 09:27:10 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2014-02-05 13:10:37 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.